## python-sqlsoup 0.9.1

=== docs/build/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = output

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dist-html  same as html, but places files in /docs"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dist-html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) ..
	@echo
	@echo "Build finished.  The HTML pages are in ../."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/SQLSoup.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/SQLSoup.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/SQLSoup"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/SQLSoup"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== docs/build/requirements.txt ===
changelog

## python-sqlsoup 0.9.0%2Bdfsg

=== debian/changelog ===
python-sqlsoup (0.9.0+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild against sqlalchemy (Closes: #793510)
  * Add explicit build-dep on dh-python

 -- Scott Kitterman <scott@kitterman.com>  Fri, 31 Jul 2015 20:34:54 -0400

python-sqlsoup (0.9.0+dfsg-2) unstable; urgency=medium

  * Rebuild against SQLAlchemy 0.9
    Closes: #741910
  * Standards-Version: 3.9.5 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Mon, 17 Mar 2014 13:41:38 +0100

python-sqlsoup (0.9.0+dfsg-1) unstable; urgency=low

  * initial release (Closes: #712411)

 -- Andreas Tille <tille@debian.org>  Sat, 10 Aug 2013 13:17:15 +0200

=== debian/control ===
Source: python-sqlsoup
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>,
           Andreas Tille <tille@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python | python-all | python-dev | python-all-dev,
               python-setuptools,
               python-sqlalchemy
#               dh-linktree,
#               libjs-underscore
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/python-sqlsoup/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/python-sqlsoup/trunk
Homepage: https://pypi.python.org/pypi/sqlsoup
X-Python-Version: >= 2.4

Package: python-sqlsoup
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-sqlalchemy
Description: one step database access tool, built on the SQLAlchemy ORM
 SQLSoup provides a convenient way to map Python objects to relational
 database tables, with no declarative code of any kind. It's built on 
 top of the SQLAlchemy ORM and provides a super-minimalistic interface 
 to an existing database.

## python-sqlsoup 0.9.0+dfsg

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,12 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 9),
-               dh-python,
                python | python-all | python-dev | python-all-dev,
                python-setuptools,
                python-sqlalchemy
 #               dh-linktree,
 #               libjs-underscore
-Standards-Version: 3.9.5
+Standards-Version: 3.9.4
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/python-sqlsoup/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/python-sqlsoup/trunk
 Homepage: https://pypi.python.org/pypi/sqlsoup

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@ --with python2

#override_dh_clean:
#	dh_clean
#	# [ -r Makefile ] && make clean ?
#
#override_dh_installchangelogs:
#	dh_installchangelogs perl/ChangeLog

# Remark: The following uscan command requires devscripts > 2.12.4 which is not
#         yet released at the time of this package release.  The code can be obtained
#         via
#   git clone git://tille@git.debian.org/git/users/tille/devscripts.git
#         and then use scripts/uscan.pl
get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download --destdir=../tarballs --repack-compression xz

=== debian/watch ===
version=3
#   opts=uversionmangle=s/(beta|rc|a|b|c)/~$1/ 
opts=dversionmangle=s/(\+dfsg)// \
http://pypi.python.org/packages/source/s/sqlsoup/sqlsoup-(.*)\.tar\.gz

## python-sqlsoup 0.9.1

=== debian/changelog ===
python-sqlsoup (0.9.1-4) unstable; urgency=medium

  * Drop Python2 support
    Closes: #938193
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Remove trailing whitespace in debian/control
  * Remove trailing whitespace in debian/copyright
  * Drop ancient X-Python-Version field

 -- Andreas Tille <tille@debian.org>  Tue, 03 Sep 2019 09:56:51 +0200

python-sqlsoup (0.9.1-3) unstable; urgency=medium

  * Testsuite: autopkgtest-pkg-python
  * Standards-Version: 4.1.4
  * Point Vcs fields to salsa.debian.org
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Mon, 16 Apr 2018 14:34:52 +0200

python-sqlsoup (0.9.1-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * Point watch file to bitbucket since pypi.d.n is not reliable

 -- Andreas Tille <tille@debian.org>  Wed, 18 Oct 2017 16:35:48 +0200

python-sqlsoup (0.9.1-1) unstable; urgency=medium

  * New upstream version
  * Add Python3 support
  * d/copyright: do not mention files removed from source
  * cme fix dpkg-control
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Fri, 02 Dec 2016 10:34:54 +0100

python-sqlsoup (0.9.0+dfsg-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild to drop python-sqlalchemy << 1.1 dependency

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 18 Nov 2016 18:49:48 +0100

=== debian/control ===
Source: python-sqlsoup
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>,
           Andreas Tille <tille@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-nose,
               python3-sqlalchemy
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/med-team/python-sqlsoup
Vcs-Git: https://salsa.debian.org/med-team/python-sqlsoup.git
Homepage: https://pypi.python.org/pypi/sqlsoup

Package: python3-sqlsoup
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-sqlalchemy
Description: one step database access tool for Python3, built on the SQLAlchemy ORM
 SQLSoup provides a convenient way to map Python objects to relational
 database tables, with no declarative code of any kind. It's built on
 top of the SQLAlchemy ORM and provides a super-minimalistic interface
 to an existing database.
 .
 This package provides support for Python3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export PYBUILD_NAME=sqlsoup

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4

opts=uversionmangle=s/_/./g \
  https://bitbucket.org/zzzeek/sqlsoup/downloads?tab=tags .*/rel.(\d[\d_.]+).tar.gz
